Subject: Re: [PATCHv4 1/2] daemon: add helper function named_sock_setup

From: AlexanderS <[email-masked]>
Date: Mon, 30 Aug 2010 14:46:31 +0200

On Mon, 30 Aug 2010 14:12:52 +0200
Erik Faye-Lund <[email-masked]> wrote:

> Since serve() isn't a library function, wouldn't it reduce needless
> code churn to just make socklist a set of global variables (or just a
> global struct)? That way you don't have to pass it around, changing
> all those function prototypes.

I don't understand: Even if I make socklist a global structure or
something like that, I also have to change all this function prototypes
to remove at least the old unused parameters.

> I'm a bit intimidated by this change since I have a rather big
> patch-set on top of daemon.c, and I really don't want to resolve a lot
> of conflicts. But I guess that's my problem :P